/*
 * Connect failed dialog
 *  for Wi-Fi view & select
 */
package jp.gr.java_conf.j_sota.wifiviewandselect;

import android.app.Dialog;
import android.os.Bundle;
import android.support.v4.app.DialogFragment;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.TextView;

public class ConnectFailedDialog extends DialogFragment {

	/**
	 * Constructor
	 */
	public ConnectFailedDialog() {
		// nothing to do
	}

	/**
	 * Create a dialog
	 * @param savedInstanceState
	 * @return Dialog	Dialog
	 */
	@Override
	public Dialog onCreateDialog(Bundle savedInstanceState) {
		Dialog dialog = new Dialog(getActivity());
		dialog.setContentView(R.layout.connect_failed_dialog);
		dialog.setTitle(getString(R.string.dialog_title_connect_failed));

		// Show SSID
		String ssid = getArguments().getString("SSID");
		TextView mSsidView = (TextView) dialog.findViewById(R.id.textSsid);
		mSsidView.setText(ssid);

		dialog.findViewById(R.id.buttonOk).setOnClickListener(new OnClickListener() {

			/**
			 * Button click listener
			 * @param v 	View
			 */
			@Override
			public void onClick(View v) {
				dismiss();
			}
		});
		return dialog;
	}
}
