/*
 * LED color setting data
 *  for Wi-Fi view & select
 */
package jp.gr.java_conf.j_sota.wifiviewandselect;

import android.os.Parcel;
import android.os.Parcelable;

// Implement Parcelable since this class is transfered by the Bundle.
public class LedColorListData implements Parcelable {
	
	protected String ssid;
	protected int ledColor;
	protected boolean used;

	public static final Parcelable.Creator<LedColorListData> CREATOR =
			new Parcelable.Creator<LedColorListData>() {

		/**
		 * Create list from parcel
		 * @param in	parcel data
		 */
		public LedColorListData createFromParcel(Parcel in) {
			return new LedColorListData(in);
		}

		/**
		 * Create a new array
		 * @param size		size
		 */
		public LedColorListData[] newArray(int size) {
			return new LedColorListData[size];
		}
	};

	/**
	 * Constructor
	 * No initial data
	 */
	public LedColorListData() {
		// do nothing
	}

	/**
	 * Constructor
	 * read data from parcel
	 * @param in	Parcel data
	 */
	private LedColorListData(Parcel in) {
		ssid = in.readString();
		ledColor= in.readInt();
		used = in.readByte() == 1;
	}

	/**
	 * Write to Parcel
	 * @param dest
	 * @param flags
	 */
	public void writeToParcel(Parcel dest, int flags) {
		dest.writeString(ssid);
		dest.writeInt(ledColor);
		dest.writeByte((byte)(used ? 1 : 0));
	}

	/**
	 * Describe contents
	 * @return always 0
	 */
	public int describeContents() {
		return 0;
	}
}
