/*
 * Signal level image
 *  for Wi-Fi view & select
 */
package jp.gr.java_conf.j_sota.wifiviewandselect;

import android.content.Context;
import android.content.res.Resources;
import android.graphics.drawable.Drawable;

public class SignalLevelImage {

	private Context mContext;

	/**
	 * Constructor
	 * @param context	Context
	 */
	public SignalLevelImage(Context context) {
		mContext = context;
	}

	/**
	 * Get signal level image(drawable)
	 * @param signalLevel	Signal level
	 * @return Drawable	Signal level image
	 */
	public Drawable getSignalImage(int signalLevel) {
		Resources resource = mContext.getResources();
		Drawable image;
		switch (signalLevel) {
		case -1 :
			image = resource.getDrawable(R.drawable.level_unknown);
			break;
		case 0 :
			image = resource.getDrawable(R.drawable.level00);
			break;
		case 1 :
			image = resource.getDrawable(R.drawable.level01);
			break;
		case 2 :
			image = resource.getDrawable(R.drawable.level02);
			break;
		case 3 :
			image = resource.getDrawable(R.drawable.level03);
			break;
		case 4 :
			image = resource.getDrawable(R.drawable.level04);
			break;
		case 5 :
			image = resource.getDrawable(R.drawable.level05);
			break;
		case 6 :
			image = resource.getDrawable(R.drawable.level06);
			break;
		case 7 :
			image = resource.getDrawable(R.drawable.level07);
			break;
		case 8 :
			image = resource.getDrawable(R.drawable.level08);
			break;
		case 9 :
			image = resource.getDrawable(R.drawable.level09);
			break;
		case 10 :
			image = resource.getDrawable(R.drawable.level10);
			break;
		case 11 :
			image = resource.getDrawable(R.drawable.level11);
			break;
		case 12 :
			image = resource.getDrawable(R.drawable.level12);
			break;
		case 13 :
			image = resource.getDrawable(R.drawable.level13);
			break;
		case 14 :
			image = resource.getDrawable(R.drawable.level14);
			break;
		case 15 :
			image = resource.getDrawable(R.drawable.level15);
			break;
		case 16 :
			image = resource.getDrawable(R.drawable.level16);
			break;
		case 17 :
			image = resource.getDrawable(R.drawable.level17);
			break;
		case 18 :
			image = resource.getDrawable(R.drawable.level18);
			break;
		case 19 :
			image = resource.getDrawable(R.drawable.level19);
			break;
		case 20 :
			image = resource.getDrawable(R.drawable.level20);
			break;
		case 21 :
			image = resource.getDrawable(R.drawable.level21);
			break;
		case 22 :
			image = resource.getDrawable(R.drawable.level22);
			break;
		case 23 :
			image = resource.getDrawable(R.drawable.level23);
			break;
		case 24 :
			image = resource.getDrawable(R.drawable.level24);
			break;
		case 25 :
			image = resource.getDrawable(R.drawable.level25);
			break;
		case 26 :
			image = resource.getDrawable(R.drawable.level26);
			break;
		case 27 :
			image = resource.getDrawable(R.drawable.level27);
			break;
		case 28 :
			image = resource.getDrawable(R.drawable.level28);
			break;
		case 29 :
			image = resource.getDrawable(R.drawable.level29);
			break;
		case 30 :
			image = resource.getDrawable(R.drawable.level30);
			break;
		default :
			image = resource.getDrawable(R.drawable.level00);
			break;
		}
		return image;
	}
}
